# Ozdag Attacker V2

A versatile WiFi testing and security auditing tool designed for the ESP8266 microcontroller.

## Description

This project implements several common WiFi attack and monitoring techniques on an ESP8266 platform with an OLED display and a single button for user interaction. It includes modules for:

*   **WiFi Scanner:** Detects Access Points (APs) and Stations (STAs), showing SSID, BSSID, channel, RSSI, and encryption type.
*   **Deauth Attack:** Sends deauthentication frames to disconnect clients from a target network.
*   **Beacon Flood:** Spams beacon frames with fake SSIDs (either random or mimicking a target).
*   **Evil Twin:** (Placeholder/Work in Progress) Aims to create a fake AP mimicking a legitimate one to capture credentials.
*   **Rogue AP:** Creates an open WiFi network with a captive portal to phish for credentials.

## Hardware Requirements

*   ESP8266 Development Board (e.g., NodeMCU, Wemos D1 Mini)
*   SSD1306 OLED Display (128x64, I2C interface)
*   Tactile Push Button
*   Connecting Wires
*   (Optional) Battery + Charging Circuit for portability

## Build & Flash Instructions

1.  **IDE Setup:**
    *   Use PlatformIO (recommended) or Arduino IDE with the ESP8266 Core installed.
2.  **Libraries:**
    *   Install the `U8g2` library by `olikraus` (available through the Arduino Library Manager or PlatformIO Library Manager).
    *   Other dependencies are typically included with the ESP8266 core SDK.
3.  **Configuration:**
    *   Verify the pin definitions in `src/config.h` match your hardware wiring for the OLED display (`OLED_SDA_PIN`, `OLED_SCL_PIN`) and the button (`BUTTON_PIN`).
4.  **Compile & Upload:**
    *   Select your ESP8266 board type in the IDE.
    *   Compile the project.
    *   Upload the compiled firmware to your ESP8266 board.

## Usage

1.  **Connect Hardware:** Ensure the OLED display and button are correctly wired to the ESP8266 according to the pins defined in `src/config.h`.
2.  **Power On:** Provide power to the ESP8266 board (USB or battery).
3.  **Boot Screen:** The OLED display will show a boot animation ("Ozdag Attacker V2").
4.  **Main Menu:** After booting, the main menu will appear.
5.  **Navigation:** Use the single push button:
    *   **Short Press:** Cycles through menu items or options within a module.
    *   **Long Press:** Selects the highlighted menu item, starts/stops an attack, confirms a selection, or navigates back (context-dependent, follow on-screen prompts).
6.  **Modules:** Select a module from the main menu and follow the specific on-screen instructions for that function.

## Warning & Disclaimer

⚠️ **This tool is intended for educational purposes and for testing network security on networks you own or have explicit permission to test.**

Using this software to attack networks or devices without authorization is illegal and unethical. The developers assume no liability and are not responsible for any misuse or damage caused by this program. Use responsibly.
