#ifndef UTILS_H
#define UTILS_H

#include <Arduino.h>
#include <ESP8266WiFi.h> // For MAC address type

// --- Battery ---
float readBatteryVoltage();
int estimateBatteryPercentage(float voltage);

// --- MAC Address Formatting ---
String macToString(const uint8_t* mac);
bool stringToMac(const String& macStr, uint8_t* mac);

// --- Other Helpers ---
void printHex(uint8_t* data, size_t len); // For debugging

void utils_random_mac(uint8_t* mac);

#endif // UTILS_H 